SYSTEMD-ID128(1)

BEZEICHNUNG
systemd-id128 - sd-128-Kennungen erstellen und ausgeben

ÜBERSICHT

systemd-id128 [OPTIONEN…] new

systemd-id128 [OPTIONEN…] machine-id

systemd-id128 [OPTION…] boot-id

systemd-id128 [OPTIONEN…] invocation-id

systemd-id128 [OPTIONEN…] var-partition-uuid

systemd-id128 [OPTIONEN…] show [NAME|UUID…]

BESCHREIBUNG

id128 kann zur bequemen Ausgabe von sd-id128(3)-UUIDs verwandt werden. Welche Kennung ausgegeben wird, hängt von dem speziellen Unterbefehl ab.

Mit new wird ein zufälliger Kennzeichner erstellt.

Mit machine-id wird der Kennzeichner der aktuellen Maschine ausgegeben. Siehe machine-id(5).

Mit boot-id wird der Kennzeichner des aktuellen Systemstarts ausgegeben.

Mit invocation-id wird der Kennzeichner des aktuellen Diensteaufrufs ausgegeben. Dieser ist in Systemd-Diensten verfügbar. Siehe systemd.exec(5).

Mit show werden gut bekannte Kennungen (derzeit nur GPT-Partitionstypen) zusammen mit kurzen Kennzeichnerzeichenketten ausgegeben. Wenn keine Argumente angegeben wurden, werden alle bekannten Kennungen angezeigt. Wenn Argumente angegeben wurden, dürfen sie die Kennungen oder Kennungswerte von einer oder mehreren bekannten Kennungen sein, die dann zusammen mit ihrem Namen oder beliebigen Kennungen, die dann mit einem Platzhalternamen ausgegeben werden, ausgegeben werden. Kombinieren Sie dies mit --uuid, um Kennungen im UUID-Stil aufzulisten, d.h. auf die Art, wie GPT-Partitionstyp-UUIDs normalerweise angezeigt werden.

Sowohl machine-id, boot-id als auch show können mit dem Schalter --app-specific=App-Kennung kombiniert werden, um anwendungsspezifische Kennungen zu erzeugen. Siehe sd_id128_get_machine(3) für eine Besprechung, wann dies nützlich ist. Die Unterstützung für show --app-specific= wurde in Version 255 hinzugefügt.

var-partition-uuid gibt eine UUID aus, die der UAPI.2-Spezifikation für auffindbare Partitionen[1] folgt und als GPT-Partitions-UUID für /var/ verwandt werden soll. Sie ist aus dem GPT-Partitionstyp abgeleitet, wobei die lokale /etc/machine-id als Schlüssel verwandt wurde. Hinzugefügt in Version 257.

OPTIONEN

Die folgenden Optionen werden verstanden:

-p, --pretty
    Ausgabe als Programmiersprachenschnippsel erstellen.

    Hinzugefügt in Version 240.

-P, --value
    Gibt nur den Wert aus. Kann mit -u/--uuid kombiniert werden.

    Hinzugefügt in Version 255.

-a app-id, --app-specific=App-Kennung
    Mit dieser Option werden Kennzeichner dargestellt, die das Ergebnis des Hashens eines Anwendungskennzeichners App-Kennung mit einer anderen Kennung sind. Das Argument App-Kennung muss eine gültige sd-i128-Zeichenkette sein, die die Anwendung identifiziert. Bei der Verwendung mit machine-id wird die andere Kennung die Maschinenkennung, wie in machine-id(5) beschrieben, sein. Bei der Verwendung mit boot-id wird die andere Kennung die Systemstartkennung sein und bei der Verwendung mit show sollten die andere(n) Kennung(en) über positionsabhängige Argumente angegeben werden.

    Hinzugefügt in Version 240.

-u, --uuid
    Erstellt Ausgabe als eine in der »kanonischen Darstellung« formatierte UUID mit fünf Zifferngruppen, getrennt durch Bindestriche. Siehe den Wikipedia-Eintrag zu Universellen eindeutigen Kennzeichnern[2] für weitere Erörterungen.

    Hinzugefügt in Version 244.

--no-pager
    Leitet die Ausgabe nicht an ein Textanzeigeprogramm weiter.

--no-legend
    Gibt die Legende nicht aus, d.h. die Spaltenköpfe und die Fußzeile mit Hinweisen.

--json=MODUS
    Zeigt die Ausgabe als JSON formatiert. Erwartet entweder »short« (für die kürzest mögliche Ausgabe ohne unnötigen Leerraum oder Zeilenumbrüche), »pretty« (für eine schönere Version der gleichen Ausgabe, mit Einzügen und Zeilenumbrüchen) oder »off« (um die JSON-Ausgabe auszuschalten, was die Vorgabe ist).

-j
    Äquivalent zu --json=pretty bei der Ausführung in einem Terminal, ansonsten --json=short.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben und ein Fehlercode ungleich Null anderenfalls.

BEISPIELE

Beispiel 1. Eine gut-bekannte UUID zeigen

    $ systemd-id128 show --value user-home
    773f91ef66d449b5bd83d683bf40ad16

    $ systemd-id128 show --value --uuid user-home
    773f91ef-66d4-49b5-bd83-d683bf40ad16

    $ systemd-id128 show 773f91ef-66d4-49b5-bd83-d683bf40ad16
    NAME      ID
    user-home 773f91ef66d449b5bd83d683bf40ad16

Beispiel 2. Erstellung einer anwendungsspezifischen UUID

    $ systemd-id128 machine-id -u
    3a9d668b-4db7-4939-8a4a-5e78a03bffb7

    $ systemd-id128 new -u
    1fb8f24b-02df-458d-9659-cc8ace68e28a

    $ systemd-id128 machine-id -u -a 1fb8f24b-02df-458d-9659-cc8ace68e28a
    47b82cb1-5339-43da-b2a6-1c350aef1bd1

    $ systemd-id128 -Pu show 3a9d668b-4db7-4939-8a4a-5e78a03bffb7 \
        -a 1fb8f24b-02df-458d-9659-cc8ace68e28a
    47b82cb1-5339-43da-b2a6-1c350aef1bd1

Auf einer gegebenen Maschine mit der Kennung 3a9d668b-4db7-4939-8a4a-5e78a03bffb7 wird für die Anwendung 1fb8f24b-02df-458d-9659-cc8ace68e28a eine anwendungsspezifische Maschinenkennung (47b82cb1-5339-43da-b2a6-1c350aef1bd1) erstellt. Wenn später die Berechnung auf einer anderen Maschine nachvollzogen werden soll, müssen beide Kennungen explizit als Parameter für show angegeben werden.

SIEHE AUCH

systemd(1), sd-id128(3), sd_id128_get_machine(3)

ANMERKUNGEN

1.  UAPI.2-Spezifikation für auffindbare Partitionen
    https://uapi-group.org/specifications/specs/discoverable_partitions_specification

2.  Universelle eindeutige Kennzeichner
    https://en.wikipedia.org/wiki/Universally_unique_identifier#Format

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).